- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CBool Class Reference

Inheritance diagram for Exponent::Basics::CBool:

List of all members.

## Detailed Description

Wrapper around bool type.

CBool is a wrapper class around a boolean type giving it CCountedObject functionality to a built in type

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Fixed const correctness for the equality / inequality operators

  1.0.2 Added inplace get as string function

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CBool.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 39 of file CBool.hpp.

## Public Member Functions

- CBool (const bool value=false)
- virtual void getObjectDescription (char *string, const long size) const
- bool getValue () const
- void getValueAsString (CString &string) const
- CString getValueAsString () const
- bool operator!= (const bool value) const
- bool operator!= (const CBool &value) const
- CBool & operator= (const bool value)
- CBool & operator= (const CBool &value)
- bool operator== (const bool value) const
- bool operator== (const CBool &value) const
- void setValue (const bool value)
- void setValue (const CBool &value)
- virtual ~CBool ()

## Protected Attributes

- bool m_value

## Constructor & Destructor Documentation

Exponent::Basics::CBool::CBool | ( | const bool | value = `false` | ) |

Construction

Parameters:

  | value | The value to default to

virtual Exponent::Basics::CBool::~CBool | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::Basics::CBool::getObjectDescription | ( | char * | string,
|  | const long | size |
| ) |  |  | const`[virtual]`

Get a description of the object

Parameters:

  | string | On return is filled with the description
  | size | The size of the stirng

Reimplemented from Exponent::Basics::CCountedObject.

bool Exponent::Basics::CBool::getValue | ( |  | ) | const

Get as a bool built in type

Return values:

  | bool | The value of the boolean

void Exponent::Basics::CBool::getValueAsString | ( | CString & | string | ) | const

Get as a string

Parameters:

  | string | The string to store the value in (either "True" or "False")

CString Exponent::Basics::CBool::getValueAsString | ( |  | ) | const

Get as a string

Return values:

  | CString | The value as a CString - either "True" or "False"

bool Exponent::Basics::CBool::operator!= | ( | const bool | value | ) | const

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if booleans are inequal, false otherwise

bool Exponent::Basics::CBool::operator!= | ( | const CBool & | value | ) | const

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if booleans are inequal, false otherwise

CBool& Exponent::Basics::CBool::operator= | ( | const bool | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CBool& | A reference to this

CBool& Exponent::Basics::CBool::operator= | ( | const CBool & | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CBool& | A reference to this

bool Exponent::Basics::CBool::operator== | ( | const bool | value | ) | const

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if booleans are equal, false otherwise

bool Exponent::Basics::CBool::operator== | ( | const CBool & | value | ) | const

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if booleans are equal, false otherwise

void Exponent::Basics::CBool::setValue | ( | const bool | value | ) |

Set the value

Parameters:

  | value | The value to store

void Exponent::Basics::CBool::setValue | ( | const CBool & | value | ) |

Set the value

Parameters:

  | value | The value to store

## Member Data Documentation

bool Exponent::Basics::CBool::m_value`[protected]`

The value

Definition at line 153 of file CBool.hpp.